(function (doc, win) {
    var docEl = doc.documentElement,
    resizeEvt = 'orientationchange' in window ? 'orientationchange' : 'resize',
    recalc = function () {
        var clientWidth = docEl.clientWidth;
        if (!clientWidth) return; 
        if(clientWidth>=640){
            docEl.style.fontSize='80px';
        }else{
            docEl.style.fontSize = 40 * (clientWidth / 320) + 'px';
        }       
    };
    if (!doc.addEventListener) return;
        win.addEventListener(resizeEvt, recalc, false);
        doc.addEventListener('DOMContentLoaded', recalc, false);
})(document, window);

//置顶
$(function(){
	$(document).scroll(function(){
//		var a=getTransform("#index-top");
		if($(document).scrollTop()>0 ){ //|| $("#index-top").
			$('#totop').fadeIn(300);
		}else{
			$("#totop").fadeOut(300);
		}
	});
	$('#totop').click(function(){$('html,body').animate({scrollTop: '0px'}, 300);});
});

//function getTransform(el) {
// var results = $(el).css('transform').match(/matrix(?:(3d)\(\d+(?:, \d+)*(?:, (\d+))(?:, (\d+))(?:, (\d+)), \d+\)|\(\d+(?:, \d+)*(?:, (\d+))(?:, (\d+))\))/);
// if(!results) return [0, 0, 0];
// if(results[1] == '3d') return results.slice(2,5);
// results.push(0);
// return results.slice(5, 8);
//}

//基于mui全选不选
function setCheckbox(checkallid, itemname) {
	(function(m) {
		var cbk = document.getElementById(checkallid);
		var listBox = m("input[name='"+itemname+"']");
		var n = listBox.length;
		//全选
		cbk.addEventListener('change', function(e) {				
			if(e.target.checked) {
				listBox.each(function() {
					var ele = this;
					ele.checked = true
				})
			} else {
				listBox.each(function() {
					var ele = this;
					ele.checked = false;
				})
			}
		});					
		//子项选择
		$("input[name='"+itemname+"']").each(function() {
			$(this)[0].addEventListener('change', function(e) {	
				cbk.checked = $("input[name='"+itemname+"']:checked").length == n;
			});
		});
	})(mui)
}
//表单验证
function onlyNum(t) {
	t.value = t.value.replace(/[^\d]/g, '');
}
function is_tel(v) {
	return /^1[3|4|5|7|8]\d{9}$/.test(v);
}
function is_pass(v){
	return /^(?![0-9]+$)(?![a-zA-Z]+$)[0-9A-Za-z]{6,12}$/.test(v);//六到十二位数字字母
}
function onlyAmount(th){
    var a = [
        ['^0(\\d+)$', '$1'], //禁止录入整数部分两位以上，但首位为0
        ['[^\\d\\.]+$', ''], //禁止录入任何非数字和点
        ['\\.(\\d?)\\.+', '.$1'], //禁止录入两个以上的点
        ['^(\\d+\\.\\d{2}).+', '$1'] //禁止录入小数点后两位以上
    ];
    for(i=0; i<a.length; i++){
        var reg = new RegExp(a[i][0]);
        th.value = th.value.replace(reg, a[i][1]);
    }
}
//验证码倒数
function daoshu(even){
    var util = {
        wait: 60,
        hsTime: function (that) {
            var _this = this;
			if (_this.wait == 0) {
				$(even).removeAttr("disabled").val('获取验证码');
					_this.wait = 60;
			} else {
				$(that).attr("disabled", true).val( _this.wait + '秒后重发');
				_this.wait--;
				setTimeout(function () {
				_this.hsTime(that);
			}, 1000)
		}
	}
	}
	util.hsTime(even);
	$(even).click(function(){
		util.hsTime(even);
	});
}

//mui评分
function star(){
	mui('.icons').on('tap','i',function(){
	  	var index = parseInt(this.getAttribute("data-index"));
	  	var parent = this.parentNode;
	  	var children = parent.children;
	  	if(this.classList.contains("mui-icon-star")){
	  		for(var i=0;i<index;i++){
	 			children[i].classList.remove('mui-icon-star');
				children[i].classList.add('mui-icon-star-filled');
			}
		}else{
		  	for (var i = index; i < 5; i++) {
		  		children[i].classList.add('mui-icon-star')
		  		children[i].classList.remove('mui-icon-star-filled')
		  	}
		}
		starIndex = index;
    });
}



